CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Katru reizi, kad jūs nododat argumentus calibre-debug, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

[OPCIJAS]

--add-simple-plugin
    Pievienot vienkāršu spraudni (tas ir spraudnis, kas sastāv tikai no .py datnes), norādot ceļu uz .py datni ar spraudņa kodu.

--command, -c
    Palaist Python kodu.

--debug-device-driver, -d
    Atkļūdot iekārtu noteikšanu

--default-programs
    (de)reģistrēt calibre no Windows noklusētajām programmām --default-programs = (register|unregister)

--diff
    Palaist calibre salīdzināšanas rīku. Piemēram: calibre-debug --diff file1 file2

--edit-book
    Palaist calibre rīku "Rediģēt grāmatu" atkļūdošanas režīmā.

--exec-file, -e
    Palaist Python kodu failā.

--explode-book, -x
    Ielikt grāmatu norādītajā mapē. Lietojums: -x file.epub output_dir Eksportē grāmatu kā HTML failu un metadatu kolekciju, ko varat rediģēt, izmantojot standarta HTML rediģēšanas rīkus. Darbojas ar EPUB, AZW3, HTMLZ un DOCX failiem.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Iekšējai lietošanai

--gui, -g
    Palaist grafisko saskarni atkļūdošanas režīmā. Atkļūdošanas informācija tiek izvadīta uz stdout ierīcēm stderr.

--gui-debug
    Palaist grafisko saskarni ar atkļūdošanas konsoli, rakstot atkļūdošanas žurnālu norādītajā mapē. Tikai iekšējai lietošanai; izmantojiet -g papildiespēju, lai palaistu grafisko saskarni atkļūdošanas režīmā.

--help, -h
    parādīt šo palīdzības paziņojumu un iziet

--implode-book, -i
    Izlabot iepriekš atvērto grāmatu. Izmanto: -i output_dir file.epub Importēt grāmatu no output_dir failiem, kas, iespējams, ir izveidoti, izmantojot iepriekšējo izsaukumu --explode-book. Noteikti norādiet to pašu faila tipu, kāds tika izmantots atverot.

--import-calibre-data
    Impotēt iepriekš eksportētos calibre datus

--inspect-mobi, -m
    Pārbaudīt MOBI datni(es) norādītajā(s) mapē(s)

--kepubify
    Convert the specified EPUB file to KEPUB without doing a full conversion. This is what the Kobo driver does when sending files to the device.

--paths
    Izvades ceļi vajadzīgi, lai iestatītu Calibre vidi

--run-plugin, -r
    Palaidiet spraudni, kas nodrošina komandrindas interfeisu. Piemēram: calibre-debug -r "Spraudņa nosaukums" -- file1 --option1 Everything after the -- tiks nodots spraudnim kā argumenti.

--run-test, -t
    Palaidiet nosaukto(-os) testu(-us). Izmantojiet īpašo vērtību “all”, lai palaistu visus testus. Ja testa nosaukums sākas ar punktu, tiek pieņemts, ka tas ir moduļa nosaukums. Ja testa nosaukums sākas ar @, tiek pieņemts, ka tas ir kategorijas nosaukums.

--run-without-debug
    Nepalaidiet, ja ir iestatīta atzīme DEBUG

--shutdown-running-calibre, -s
    Izsauc darbojošās Calibre procesa, ja tāds pastāv, apturēšanu. Ņemiet vērā - ja notiek darbu izpilde, tie tiks pārtraukti bez paziņojuma, tādēļ lietojiet ar piesardzību.

--subset-font, -f
    Iegult norādītā fonta apakškopu. Izmantojiet -- pēc šī papildiespējas, lai nodotu to tālāk apakškopu veidojošajai lietonei.

--test-build
    Pārbaudīt bināros moduļus laidienā

--un-kepubify
    Convert the specified KEPUB file to EPUB without doing a full conversion. This is what the Kobo driver does when importing files from the device.

--version
    parādīt programmas versijas numuru un iziet

--viewer, -w
    Palaist e-grāmatu lasītāju atkļūdošanas režīmā

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal